%define anolis_release 1
%bcond_without check

Name:           perl-GD
Version:        2.76
Release:        %{anolis_release}%{?dist}
Summary:        Perl interface to the GD graphics library
License:        GPL-1.0-or-later OR Artistic-2.0
URL:            https://metacpan.org/release/GD
Source0:        https://cpan.metacpan.org/modules/by-module/GD/GD-%{version}.tar.gz

Patch0:         GD-2.74-utf8.patch
Patch1:         GD-2.70-cflags.patch

BuildRequires:  coreutils findutils gcc make gd-devel >= 2.0.28
BuildRequires:  perl-devel perl-interpreter perl-generators perl(Config)
BuildRequires:  perl(ExtUtils::Constant) perl(ExtUtils::MakeMaker) 
BuildRequires:  perl(ExtUtils::PkgConfig) perl(Getopt::Long) perl(Carp)
BuildRequires:  perl(AutoLoader) perl(DynaLoader) perl(Exporter) perl(strict)
BuildRequires:  perl(FileHandle) perl(Math::Trig) perl(Symbol) perl(vars)

%if %{with check}
BuildRequires:  perl(constant) perl(FindBin) perl(IO::Dir) perl(lib)
BuildRequires:  perl(Test) perl(Test::More) perl(warnings)
%endif

Requires:       gd >= 2.0.28

%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(GD::Polygon\\)$
%{?perl_default_filter}

%description
This is a auto-loadable interface module for GD, a popular library
for creating and manipulating PNG files. With this library you can
create PNG images on the fly or modify existing files.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n GD-%{version} -p1

perl -pi -e 's|/usr/local/bin/perl\b|%{__perl}|' \
      demos/{*.{pl,cgi},truetype_test}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -empty -delete
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%generate_compatibility_deps


%if %{with check}
%check
make test TEST_VERBOSE=1
%endif

%files
%license LICENSE
%doc demos/
%{_bindir}/bdf2gdfont.pl
%{perl_vendorarch}/auto/GD/
%{perl_vendorarch}/GD.pm
%{perl_vendorarch}/GD/
%dir %{abidir}
%{abidir}/GD.dump
%{abidir}/bdf2gdfont.pl-option.list
%{_mandir}/man1/bdf2gdfont.pl.1*
%{_mandir}/man3/GD.3*
%{_mandir}/man3/GD::Group.3*
%{_mandir}/man3/GD::Image.3*
%{_mandir}/man3/GD::Polygon.3*
%{_mandir}/man3/GD::Polyline.3*
%{_mandir}/man3/GD::Simple.3*

%files doc
%doc ChangeLog README README.QUICKDRAW

%changelog
* Fri May 05 2023 happy_orange <songnannan@linux.alibaba.com> - 2.76-1
- package init from upstream
